package po

import (
	"encoding/json"
	"time"
	"trasfer_middleware/cmd/rpc/etc"
	"trasfer_middleware/until/request"
)

type RequestStruct struct {
	RequestBody map[string]string
	Config      etc.RockerMqConfig
}

func SetMqSendData(reqInfo *RequestStruct, respInfo *request.Response, url string) []byte {
	log := make(map[string]interface{}, 5)
	reqStr, _ := json.Marshal(reqInfo.RequestBody)
	log["data"] = string(reqStr)
	log["url"] = url
	log["resp"] = respInfo.Text
	log["code"] = respInfo.StatusCode
	log["create_time"] = time.Now().Format("2006-01-02 15:04:05")
	logByte, _ := json.Marshal(log)
	return logByte
}
